using UnityEngine;

public abstract class CardAsset : ScriptableObject {

    public abstract class CardBehaviour
    {
        public abstract CardAsset Asset{get;}
        public abstract void Apply(TileComponent tile, CharacterComponent character);
        public virtual Sprite GetSmallDecorator(){ return null; }
    }

    public abstract CardBehaviour CreateBehaviour(int durability);

    public abstract Sprite CardSprite {get;}
    public virtual Vector2 CardScale { get { return new Vector2(1, 1); } }
    public virtual Sprite LargeDecoratorSprite { get { return null; } }
    public virtual Sprite TagSprite { get { return null; } }

}
