using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public enum CharacterType {
    Owner,
    Pet,
    Death
}

public class CharacterComponent : MonoBehaviour
{
    public CharacterType characterType;
    public int matchID;
    public Direction direction;
    public SpriteRenderer directionSpriteRenderer, characterSpriteRenderer;

    [System.NonSerialized] public Vector2Int originalGridPosition, currentGridPosition;
    [System.NonSerialized] public Direction currentDirection;
    
    public void UpdateVisuals(){
        directionSpriteRenderer.transform.eulerAngles = new Vector3(0, 0, currentDirection.ToDegrees());
        if(currentDirection == Direction.Left)
            characterSpriteRenderer.flipX = true;
        else if(currentDirection == Direction.Right)
            characterSpriteRenderer.flipX = false; 
    }

    public void PrepareForRun(){
        currentGridPosition = originalGridPosition;
        currentDirection = direction;
    }

}
