using UnityEngine;

public enum Direction {
    Up,
    Down,
    Left,
    Right
};

public static class DirectionExtensions {

    public static Vector2Int ToVector(this Direction direction){
        switch(direction){
            case Direction.Up: return Vector2Int.up;
            case Direction.Down: return Vector2Int.down;
            case Direction.Left: return Vector2Int.left;
            default: return Vector2Int.right;
        }
    }

    public static Direction Rotate90CCW(this Direction direction){
        switch(direction){
            case Direction.Up: return Direction.Left;
            case Direction.Down: return Direction.Right;
            case Direction.Left: return Direction.Down;
            default: return Direction.Up;
        }
    }

    public static Direction Rotate90CW(this Direction direction){
        switch(direction){
            case Direction.Up: return Direction.Right;
            case Direction.Down: return Direction.Left;
            case Direction.Left: return Direction.Up;
            default: return Direction.Down;
        }
    }

    public static Direction Rotate180CW(this Direction direction){
        switch(direction){
            case Direction.Up: return Direction.Down;
            case Direction.Down: return Direction.Up;
            case Direction.Left: return Direction.Right;
            default: return Direction.Left;
        }
    }

    public static float ToDegrees(this Direction direction){
        switch(direction){
            case Direction.Up: return 90;
            case Direction.Down: return 270;
            case Direction.Left: return 180;
            default: return 0;
        }
    }

}