using System.Collections.Generic;
using UnityEngine;

[CreateAssetMenu(fileName = "GeneralCardData", menuName = "GGJ21 - Pets Ex Machina/GeneralCardData", order = 0)]
public class GeneralCardData : ScriptableObject {
    
    public List<Sprite> smallDecorators, largeDecorators;
    public Sprite smallInfinityDecorator, largeInfinityDecorator;
    public List<Sprite> tags;

    public Sprite changeDirectionHorizontalCard, changeDirectionVerticalCard;
    public Sprite moveHorizontalCard, moveVerticalCard;
    public Sprite rotate90CCWCard, rotate90CWCard, rotate180Card;
    public Sprite freezeCard, crackedCard, teleportCard;

    public Sprite GetSmallDecorator(int durability){
        if(durability == 0){
            return smallInfinityDecorator;
        } else {
            if(durability >= smallDecorators.Count) durability = smallDecorators.Count - 1;
            return smallDecorators[durability];
        }
    }

    public Sprite GetLargeDecorator(int value){
        if(value == 0){
            return largeInfinityDecorator;
        } else {
            if(value >= largeDecorators.Count) value = largeDecorators.Count - 1;
            return largeDecorators[value];
        }
    }

    public Sprite GetTag(int index){
        if(index >= tags.Count) index = tags.Count - 1;
        return tags[index];
    }
    

}
